CON

	_clkmode = xtal1 + pll16x
	_clkfreq =  80_000_000

''P1V - Pin assignments
''                                 +------------+
''             "DIP1"  PIN_C16  --[| PB0    PA0 |]-- PIN_R10 "DIFF_RX_N1"
''             "DIP2"  PIN_D17  --[| PB1    PA1 |]-- PIN_U11 "DIFF_RX_N2"
''             "DIP3"  PIN_G17  --[| PB2    PA2 |]-- PIN_T10 "DIFF_RX_N3"
''             "DIP4"  PIN_E16  --[| PB3    PA3 |]-- PIN_T9  "DIFF_RX_N4"
''            "SDCLK"  PIN_M22  --[| PB4    PA4 |]-- PIN_M16 "DIFF_RX_N5"
''            "SDCMD"  PIN_W9   --[| PB5    PA5 |]-- PIN_M18 "DIFF_RX_N6"
''             "SDD0"  PIN_U6   --[| PB6    PA6 |]-- PIN_L17 "DIFF_RX_N7"
''             "SDD1"  PIN_V6   --[| PB7    PA7 |]-- PIN_L18 "DIFF_RX_N8"
''             "SDD2"  PIN_U7   --[| PB8    PA8 |]-- PIN_T17 "DIFF_RX_N9"
''             "SDD3"  PIN_U8   --[| PB9    PA9 |]-- PIN_R11 "DIFF_RX_P1"
''       "EEPROM_SCL"  PIN_P17  --[| PB10  PA10 |]-- PIN_U12 "DIFF_RX_P2"
''       "EEPROM_SDA"  PIN_P16  --[| PB11  PA11 |]-- PIN_R9  "DIFF_RX_P3"
''     "LVDS_TX_O_P3"  PIN_AB8  --[| PB12  PA12 |]-- PIN_U10 "DIFF_RX_P4"
''           "PIO_01"  PIN_T22  --[| PB13  PA13 |]-- PIN_N16 "DIFF_RX_P5"
''           "GPIO_A"  PIN_V10  --[| PB14  PA14 |]-- PIN_N19 "DIFF_RX_P6"
''           "GPIO_B"  PIN_P8   --[| PB15  PA15 |]-- PIN_K17 "DIFF_RX_P7"
''           "GPIO_C"  PIN_AA10 --[| PB16  PA16 |]-- PIN_L19 "DIFF_RX_P8"
''     "LVDS_TX_E_N3"  PIN_W8   --[| PB17  PA17 |]-- PIN_T18 "DIFF_RX_P9"
''     "LVDS_TX_E_N4"  PIN_R7   --[| PB18  PA18 |]-- PIN_T20 "DIFF_TX_N9"
''     "LVDS_TX_E_P4"  PIN_P7   --[| PB19  PA19 |]-- PIN_T19 "DIFF_TX_P9"
''   "LVDS_TX_OCLK_N"  PIN_Y10  --[| PB20  PA20 |]-- PIN_T15 "GPIO_02"
''   "LVDS_TX_OCLK_P"  PIN_Y9   --[| PB21  PA21 |]-- PIN_P22 "GPIO_03"
''     "LVDS_TX_O_N1"  PIN_AB10 --[| PB22  PA22 |]-- PIN_R15 "GPIO_04"
''     "LVDS_TX_O_N2"  PIN_R12  --[| PB23  PA23 |]-- PIN_R22 "GPIO_05"
''     "LVDS_TX_O_P1"  PIN_AB11 --[| PB24  PA24 |]-- PIN_R21 "GPIO_07"
''     "LVDS_TX_O_P2"  PIN_P12  --[| PB25  PA25 |]-- PIN_Y11 "LVDS_TX_O_N0"
''                         --[| PB26  PA26 |]-- PIN_AA8 "LVDS_TX_O_N3"
''                         --[| PB27  PA27 |]-- PIN_AA12"LVDS_TX_O_P0"
''                         --[| PB28  PA28 |]-- 
''                         --[| PB29  PA29 |]-- 
''                         --[| PB30  PA30 |]-- 
''                         --[| PB31  PA31 |]-- 
''                                 +------------+
	'PortA pin assignments
	DIFF_RX_N1      = 0     'PIN_R10
	DIFF_RX_N2      = 1     'PIN_U11
	DIFF_RX_N3      = 2     'PIN_T10
	DIFF_RX_N4      = 3     'PIN_T9
	DIFF_RX_N5      = 4     'PIN_M16
	DIFF_RX_N6      = 5     'PIN_M18
	DIFF_RX_N7      = 6     'PIN_L17
	DIFF_RX_N8      = 7     'PIN_L18
	DIFF_RX_N9      = 8     'PIN_T17
	DIFF_RX_P1      = 9     'PIN_R11
	DIFF_RX_P2      = 10    'PIN_U12
	DIFF_RX_P3      = 11    'PIN_R9
	DIFF_RX_P4      = 12    'PIN_U10
	DIFF_RX_P5      = 13    'PIN_N16
	DIFF_RX_P6      = 14    'PIN_N19
	DIFF_RX_P7      = 15    'PIN_K17
	DIFF_RX_P8      = 16    'PIN_L19
	DIFF_RX_P9      = 17    'PIN_T18
	DIFF_TX_N9      = 18    'PIN_T20
	DIFF_TX_P9      = 19    'PIN_T19
	GPIO_02         = 20    'PIN_T15
	GPIO_03         = 21    'PIN_P22
	GPIO_04         = 22    'PIN_R15
	GPIO_05         = 23    'PIN_R22
	GPIO_07         = 24    'PIN_R21
	LVDS_TX_O_N0    = 25    'PIN_Y11
	LVDS_TX_O_N3    = 26    'PIN_AA8
	LVDS_TX_O_P0    = 27    'PIN_AA12

	'PortB pin assignments
	DIP1            = 0     'PIN_C16
	DIP2            = 1     'PIN_D17
	DIP3            = 2     'PIN_G17
	DIP4            = 3     'PIN_E16
	SDCLK           = 4     'PIN_M22
	SDCMD           = 5     'PIN_W9
	SDD0            = 6     'PIN_U6
	SDD1            = 7     'PIN_V6
	SDD2            = 8     'PIN_U7
	SDD3            = 9     'PIN_U8
	EEPROM_SCL      = 10    'PIN_P17
	EEPROM_SDA      = 11    'PIN_P16
	LVDS_TX_O_P3    = 12    'PIN_AB8
	PIO_01          = 13    'PIN_T22
	GPIO_A          = 14    'PIN_V10
	GPIO_B          = 15    'PIN_P8
	GPIO_C          = 16    'PIN_AA10
	LVDS_TX_E_N3    = 17    'PIN_W8
	LVDS_TX_E_N4    = 18    'PIN_R7
	LVDS_TX_E_P4    = 19    'PIN_P7
	LVDS_TX_OCLK_N  = 20    'PIN_Y10
	LVDS_TX_OCLK_P  = 21    'PIN_Y9
	LVDS_TX_O_N1    = 22    'PIN_AB10
	LVDS_TX_O_N2    = 23    'PIN_R12
	LVDS_TX_O_P1    = 24    'PIN_AB11
	LVDS_TX_O_P2    = 25    'PIN_P12

	'Cog LEDs (n/a)
	LED1            = 0     'PIN_B17
	LED2            = 1     'PIN_E19
	LED3            = 2     'PIN_E21
	LED4            = 3     'PIN_B21
	LED5            = 4     'PIN_C20
	LED6            = 5     'PIN_C21
	LED7            = 6     'PIN_D19
	LED8            = 7     'PIN_D21


PUB main

